# Microsoft Entra — HRIS API: gotchas

> Canonical URL: https://developers.apideck.com/apis/hris/azure-active-directory/gotchas

## GET /hris/employees

Microsoft Azure Active Directory does not include a total count in default list responses. `meta.total_count` will not appear. Surfacing the total requires adding `$count=true` with a `ConsistencyLevel: eventual` header — an extra requirement not currently implemented.

## GET /hris/departments

Microsoft Azure Active Directory does not include a total count in default list responses. `meta.total_count` will not appear. Surfacing the total requires adding `$count=true` with a `ConsistencyLevel: eventual` header — an extra requirement not currently implemented.

## GET /hris/schedules/employees/{employee_id}

Microsoft Azure Active Directory does not include a total count in default list responses. `meta.total_count` will not appear. Surfacing the total requires adding `$count=true` with a `ConsistencyLevel: eventual` header — an extra requirement not currently implemented.


[API reference](https://developers.apideck.com/apis/hris/reference.md) · [Coverage matrix](https://developers.apideck.com/apis/hris/coverage)
